ddcui(1)

NAME
ddcui - GUI for ddcutil

SYNOPSIS
ddcui [options]

DESCRIPTION
ddcui provides a graphical user interface to a monitor's Virtual Control Panel (VCP). It uses the DDC/CI protocol on an I2C bus connected to the monitor. Normally, the video driver for the monitor exposes one or more I2C buses as devices named /dev/i2c-n. Virtual Control Panel features are defined in the Monitor Control Command Set (MCCS). Monitors implement some subset of these features. Each feature is identified using a single byte. For example, feature x10 is the brightness control.

OPTIONS

  Options that change initial settings for the Feature Selection dialog:

--feature-set name
    Initial feature set to show. The most important are MCCS - all features defined in MCCS, MANUFACTURER - features in the manufacturer reserved range xe0..xff, COLOR - color related features. For a complete list, use the --help option. Unless --custom-feature-set is specified, the default is MCCS.
--custom-feature-set (feature code..)
    Explicitly specify the features to be shown. Features in the feature code list are specified as 2 byte hex numbers, with or without leading "x" or trailing "h". To specify more than one feature, separate the feature codes by commas or blanks, and enclose the entire list in quotation marks. For example:
        --custom-feature-set "10 x12 14h"
--only-capabilities
    Restrict features to those in the capabilities string. Applies when the feature set is MCCS, COLOR, or MANUFACTURER.
--all-capabilities
    Always include features found in the capabilities string. Applies when the feature set is MCCS.
--show-unsupported
    Display unsupported features in the feature set. Normally unsupported features are not shown.

  Option that changes initial settings for the NC Values Source dialog.
--nc-values-source MCCS|CAPABILITIES|BOTH
    Source of values shown in the drop down menu for simple Non-Continuous features.
--use-latest-nc-values
    Always use values from latest MCCS version

  Option for initial display selection:

--model model-name
    Model name as specified in the monitor's EDID and shown on the toolbar.

  Miscellaneous options:
--styles
    List available Qt styles
--style style-name
    Select the Qt style to use
--version, -v
    Report version information
--help
    Get command line help.

  Options that are passed to the ddcutil shared library.
These correspond to ddcutil command line options of the same name.
--ddc
    Report DDC protocol and data errors to the terminal.
--trace trace-group-name
    Trace all functions in a trace group. May be specified more than once.
--trcfile simple-file-name
    Trace all traceable functions in a file. May be specified more than once.
--trcfunc function name
    Trace a single function. May be specified more than once.
--timestamp | --ts
    Prefix trace messages with timestamp
--thread-id | --tid
    Prefix trace messages with thread id

STATUS CODES
Normally returns 0, returns 1 if failure. Using the --help option is regarded as success.

SEE_ALSO
ddcutil(1)

The project homepage: http://www.ddcutil.com
General ddcui documentation:
    http://www.ddcutil.com/ddcui_main
For detailed documentation of the command line options:
    http:\www.ddcutil.com/ddcui_options

AUTHOR
Sanford Rockowitz (rockowitz at minsoft dot com)
Copyright 2019-2020 Sanford Rockowitz